curl https://api.breakroomapp.com/functions/v1/get-time-off-requests \
-H "Authorization: Bearer $BREAKROOM_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{"limit":50,"offset":0}'
{ "limit": 50, "offset": 0 }
{ "orgId": "org_3hd8w1zt", "limit": 25 }
{
"data": [
{
"id": "evt_x5p7l3tg",
"orgId": "org_3hd8w1zt",
"assigneeId": "orm_7k2m9xqp",
"assignee": {
"id": "orm_7k2m9xqp",
"name": "Jane Doe",
"firstName": "Jane",
"lastName": "Doe",
"archived": null
},
"locId": "loc_9fq2c6jb",
"status": "pending",
"startDatetime": "2026-01-10T00:00:00Z",
"endDatetime": "2026-01-12T23:59:59Z",
"notes": "Vacation",
"type": "time_off",
"createdBy": "orm_a4n8r2ve",
"extraData": null
}
],
"hasMore": false
}
Time off
List time off requests
Lists pending time-off requests across orgs the token member manages.
POST
/
get-time-off-requests
curl https://api.breakroomapp.com/functions/v1/get-time-off-requests \
-H "Authorization: Bearer $BREAKROOM_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{"limit":50,"offset":0}'
{ "limit": 50, "offset": 0 }
{ "orgId": "org_3hd8w1zt", "limit": 25 }
{
"data": [
{
"id": "evt_x5p7l3tg",
"orgId": "org_3hd8w1zt",
"assigneeId": "orm_7k2m9xqp",
"assignee": {
"id": "orm_7k2m9xqp",
"name": "Jane Doe",
"firstName": "Jane",
"lastName": "Doe",
"archived": null
},
"locId": "loc_9fq2c6jb",
"status": "pending",
"startDatetime": "2026-01-10T00:00:00Z",
"endDatetime": "2026-01-12T23:59:59Z",
"notes": "Vacation",
"type": "time_off",
"createdBy": "orm_a4n8r2ve",
"extraData": null
}
],
"hasMore": false
}
Includes items with
type = time_off and status = pending from active
organizations where the authenticated member’s permission_set_id is
owner, general manager, or manager. Results are paginated with limit and
offset. See Pagination.
string
Hashed org ID. Must be an active org where the token member is owner,
general manager, or manager.
string
Hashed assignee org-member ID.
number
default:"50"
Page size (clamped to 1–200).
number
default:"0"
Zero-based offset into the ordered result set.
Response
object[]
required
Page of pending time-off items.
Show properties
Show properties
string
required
Hashed event ID. UUID values are returned unchanged.
string
required
Hashed organization ID.
string
required
Hashed assignee org-member ID.
object
string
Hashed location ID, when set.
string
required
Always
pending for this endpoint.string
required
ISO 8601 start datetime.
string
required
ISO 8601 end datetime.
string
Optional notes.
string
required
Always
time_off for this endpoint.string
Hashed creator org-member ID.
object
Additional data, when present.
boolean
required
true if more results exist after this page.Errors
| Status | When |
|---|---|
401 | Authentication failed |
403 | Authenticated but not allowed to access the resource |
curl https://api.breakroomapp.com/functions/v1/get-time-off-requests \
-H "Authorization: Bearer $BREAKROOM_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{"limit":50,"offset":0}'
{ "limit": 50, "offset": 0 }
{ "orgId": "org_3hd8w1zt", "limit": 25 }
{
"data": [
{
"id": "evt_x5p7l3tg",
"orgId": "org_3hd8w1zt",
"assigneeId": "orm_7k2m9xqp",
"assignee": {
"id": "orm_7k2m9xqp",
"name": "Jane Doe",
"firstName": "Jane",
"lastName": "Doe",
"archived": null
},
"locId": "loc_9fq2c6jb",
"status": "pending",
"startDatetime": "2026-01-10T00:00:00Z",
"endDatetime": "2026-01-12T23:59:59Z",
"notes": "Vacation",
"type": "time_off",
"createdBy": "orm_a4n8r2ve",
"extraData": null
}
],
"hasMore": false
}